Bug 176092 - colour print (to file) does not work for table cells
colour print (to file) does not work for table cells
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
7
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
http://www.ast.cam.ac.uk/~mike/casu/i...
pleaForReproductionFF3
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-19 06:40 EST by Robert Greimel
Modified: 2008-06-02 09:13 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-02 09:13:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
printed version of a webpage showing the missing colours (116.77 KB, application/x-gzip)
2008-02-09 11:22 EST, Robert Greimel
no flags Details

  None (edit)
Description Robert Greimel 2005-12-19 06:40:44 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I am trying to print a web page that contains a table with some coloured cells. The printer is set to "postscript/default" and color printing is selected in the properties. I am printing to file. Viewing the file afterwards with evince, gv or xv always produces a black and white version of the table. Also the print preview shows the table cells in black and white.


Version-Release number of selected component (if applicable):
firefox-1.0.7-1.1.fc4

How reproducible:
Always

Steps to Reproduce:
1.load web page containing table with coloured cells.
2.print (to file) or use preview
3.
  

Actual Results:  table cells are black and white

Expected Results:  table cells should be coloured

Additional info:
Comment 1 Christian Iseli 2007-01-22 06:40:48 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 2 Robert Greimel 2007-01-22 10:32:53 EST
Yes, this is still the case even for firefox-1.5.0.9-1.fc6
Comment 3 Martin Stransky 2007-09-11 07:28:47 EDT
taking the bug.
Comment 4 Matěj Cepl 2007-12-10 04:24:27 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 Robert Greimel 2007-12-10 09:18:18 EST
firefox 2.0.0.10-2.fc7 on Fedora 7 still has this problem.

Changed Version to Fedore 7 and changed status back to ASSIGNED.
Comment 6 Matěj Cepl 2008-02-08 15:42:33 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 7 Robert Greimel 2008-02-09 11:22:55 EST
Created attachment 294472 [details]
printed version of a webpage showing the missing colours
Comment 8 Robert Greimel 2008-02-09 11:29:39 EST
No, this problem is not solved. The attachment shows a print to file of the
following webpage:
http://www.devx.com/tips/Tip/12851

As can be seen, there are a number of components that loose their colour. Among
them, the table cells.
Comment 9 Matěj Cepl 2008-02-21 17:34:55 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 10 Matěj Cepl 2008-02-21 17:36:16 EST
At this point, we're going to only be taking security fixes and major stability
fixes into this release of Fedora.  However, we still want to ensure the bug is
fixed in the next version.  We'd appreciate if you could test Firefox 3,
available at http://www.mozilla.com/en-US/firefox/all-beta.html or now shipping
as the default in Fedora rawhide and provide feedback as to whether it still
exists so we can file a ticket upstream to try to fix it in Firefox 3 before it
is released.
Comment 11 Jonathan Kamens 2008-02-27 21:50:49 EST
In Firefox 3, when printing, you can get background colors for cells by
selecting the Options tab of the Print dialog and checking the box next to
"Print Background Colors".  However, there does not appear to be any way to
enable this feature for the Print Preview, so it's still at least partially a bug.
Comment 12 Bug Zapper 2008-05-14 07:58:39 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Martin Stransky 2008-06-02 09:13:01 EDT
closing as rawhide.

Note You need to log in before you can comment on or make changes to this bug.